# determine-price-to-port ## Determine the Price of a Connection to a Port Determine costs of a connection originating from a Fabric Cloud Router to a Port. ![](https://docs.equinix.com/assets/images/pricingConnectionFabricGateway-5e41276a260e6c104d16d92d8587d14a.png) ## Prerequisites 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials.. 2. Use the [Search Cloud Routers](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Cloud-Routers/operation/searchCloudRouters) to get information on your Fabric Cloud Routers. 3. Use the [Get All Metros\*\*](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Metros/operation/getMetros) endpoint to find all metros where Equinix Fabric is available and determine the destination location. ## Request Pricing Information for a Connection to a Port To request the pricing information for a connection between a Fabric Cloud Router and a port, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Prices/operation/searchPrices) endpoint. Specify your pricing criteria in the body of the request. | | **POST /fabric/v4/prices/search** | | ---------------- | --------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/prices/search` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `filter` | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_CONNECTION_PRODUCT"                 ]             },             {                 "property": "/connection/type",                 "operator": "=",                 "values": [                     "GW_VC"                 ]             },             {                 "property": "/connection/bandwidth",                 "operator": "IN",                 "values": [                     50,                     1000                 ]             },             {                 "property": "/connection/aSide/accessPoint/type",                 "operator": "=",                 "values": [                     "GW"                 ]             },             {                 "property": "/connection/aSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "CH"                 ]             },             {                 "property": "/connection/zSide/accessPoint/type",                 "operator": "=",                 "values": [                     "COLO"                 ]             },             {                 "property": "/connection/zSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "DC"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Prices/operation/searchPrices). Sample Response: ``` { "data": [     {         "type": "VIRTUAL_CONNECTION_PRODUCT",         "code": "ECX00015.PROD",         "name": "Equinix Fabric Virtual Connection Product",         "description": "Equinix Fabric Virtual Connection",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 200.0             }         ],         "currency": "USD",         "connection": {             "type": "GW_VC",             "bandwidth": 50,             "aSide": {                 "accessPoint": {                     "type": "GW",                     "location": {                         "metroCode": "CH"                     }                 }             },             "zSide": {                 "accessPoint": {                     "type": "COLO",                     "location": {                         "metroCode": "DC"                     }                 }             }         }     },     {         "type": "VIRTUAL_CONNECTION_PRODUCT",         "code": "ECX00015.PROD",         "name": "Equinix Fabric Virtual Connection Product",         "description": "Equinix Fabric Virtual Connection",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 500.0             }         ],         "currency": "USD",         "connection": {             "type": "GW_VC",             "bandwidth": 1000,             "aSide": {                 "accessPoint": {                     "type": "GW",                     "location": {                         "metroCode": "CH"                     }                 }             },             "zSide": {                 "accessPoint": {                     "type": "COLO",                     "location": {                         "metroCode": "DC"                     }                 }             }         }     } ], "pagination": {     "offset": 0,     "limit": 2,     "total": 2 } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4.md#tag/Prices/operation/searchPrices).